package com.yihu.utils.security;

import org.apache.commons.codec.digest.DigestUtils;

import java.io.*;

/**
 * MD5加密工具类
 * Created by progr1mmer on 2018/8/9.
 */
public class MD5 {

    public static String md5Hex(String data) {
        return DigestUtils.md5Hex(data);
    }

    public static String md5Hex(byte [] data) {
        return DigestUtils.md5Hex(data);
    }

    public static String md5Hex(InputStream data) throws IOException {
        return DigestUtils.md5Hex(data);
    }

    public static boolean checkSum(File file, String md5Hex) throws IOException {
        FileInputStream fileInputStream = null;
        try {
            fileInputStream = new FileInputStream(file);
            return checkSum(fileInputStream, md5Hex);
        } finally {
            if (fileInputStream != null) {
                fileInputStream.close();
            }
        }
    }

    public static boolean checkSum(InputStream is, String md5Hex) throws IOException {
        return DigestUtils.md5Hex(is).equals(md5Hex);
    }

}
